Patch for imports in @actyx/sdk 0.4.2/0.5.0

We are building executables via pkg to ship our actyx connectors and with the 0.4.2 release of @actyx/sdk we had some issues where pkg was not able to resolve imports during build time. The attached patch fixes these imports and it would be cool if this could be integrated into the next version of the @actyx/sdk package, so that we can remove that patch from our side.

@actyx+sdk+0.4.2.txt (1,4 KB)

Hmm, interesting, and thanks for the patch! It was my understanding that ESM would generally prefer the imports without /lib. Could you share the error you get and whether you’re using ESM? While fixing this I’d like to also understand more about the failure mode.